<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:extended-schema PUBLIC
  "-//LogReport.ORG//DTD Lire DLF Schema Markup Language V1.1//EN"
  "http://www.logreport.org/LDSML/1.1/ldsml.dtd">
<lire:extended-schema id="www-user_agent" base-schema="www" 
 module="Lire::Extensions::WWW::UserAgentSchema"
 required-fields="useragent"
 xmlns:lire="http://www.logreport.org/LDSML/">

 <lire:title>User Agent Extended Schema for WWW service</lire:title>

 <lire:description>
  <para>This is an extended schema for the WWW service which adds 
   fields to access information from the <structfield>user_agent</structfield> field.
  </para>
 </lire:description>

 <lire:field name="browser" type="string" label="Browser">
  <lire:description>
   <para>The browser that was probably used to make the request as
    guessed from the <structfield>user_agent</structfield> field.</para>
  </lire:description>
 </lire:field>

 <lire:field name="os" type="string" label="OS">
  <lire:description>
   <para>The client's operating system as guessed from the
    <structfield>user_agent</structfield> field.</para>
  </lire:description>
 </lire:field>

 <lire:field name="lang" type="string" label="UI Language">
  <lire:description>
   <para>The client's language as guessed from the locale's
    information contained in the <structfield>user_agent</structfield>
    field.</para>
  </lire:description>
 </lire:field>
</lire:extended-schema>
